/* Applicazione client/server basata su SUN RPC per ottenere l'echo di una stringa.
   Il client interagisce con l'utente richiedendo una stringa, invoca la procedura remota echo,
   passando come parametro la stringa letta e stampa a schermo la stringa ottenuta 
   come valore di ritorno della procedura invocata.
   Queste operazioni sono ripetute finche' l'utente non interrompe l'interazione con CTRL-C.
   Il server realizza la procedura di echo, che restituisce come risultato la stringa passata 
   come parametro di ingresso */

/* echo.x 
   Uso di string, tipo predefinito di xdr. 
   Nei file .c si deve invece usare l'equivalente C, ossia char. 
   Poiche' in echo.x non si definiscono nuovi tipi, rpcgen non genera il file echo_xdr.c 
   con le routine di conversione  */

program ECHOPROG {
	version ECHOVERS {
		string ECHO(string) = 1;
	} = 1;
} = 0x20000013;
